#include <bits/stdc++.h>
using namespace std;
int sbor(int x)
{
    for(int i=1; i<x/2; i++)
    {
        for(int j=i; j<x/2; j++)
        if(x==i*i+j*j)
        {
            cout<<"1";
            //cout<<i<<" "<<j<<endl;
            return 0;
        }
    }
    cout<<"0";
    return 0;
}
int main ()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n;
    cin>>n;
    int a[n];
    for(int i=0; i<n; i++) cin>>a[i];
    for(int i=0; i<n; i++)
    {
        sbor(a[i]);

    }
    cout<<"\n";
    return 0;
}

